Bug 64553 - broken rpm -> Upgrade from 7.2 fails
Summary: broken rpm -> Upgrade from 7.2 fails
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-07 21:38 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-07 21:38:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-05-07 21:38:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
# rpm -Uvh foomatic-1.1-0.20020313.3.i386.rpm 
Preparing...                ########################################### [100%]
   1:foomatic               error: unpacking of archive failed on file
/usr/share/foomatic/db/compiled: cpio: rename failed - Is a directory


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. just install the rpm
2. or upgrade from 7.2
3.
	

Additional info:
If this happens while you're doing an update from 7.2 to 7.3, the
update stops saying this is an critical error...

I don't think this is so critical, the installation-process should continue

Comment 1 Tim Waugh 2002-05-07 21:43:07 UTC
/usr/share/foomatic/db/compiled is a symbolic link---and this is so in all the 
foomatic packages from Red Hat Linux.  The error indicates that you had 
changed it into a directory (or, possibly, deleted it) at some time.  Don't do 
that. :-)

Comment 2 Need Real Name 2002-05-07 21:50:33 UTC
Thanks for your fast response :)

Here are some additional infos:


# ls -l /usr/share/foomatic/db/compiled
total 228
drwxr-xr-x  173 root     root         4096 Oct 19  2001 combo
-rw-r--r--    1 root     root       224835 Jul 24  2001 overview.xml


ok, it is a directory, but the package is from RedHat:

# rpm -qi foomatic
Name        : foomatic                     Relocations: (not relocateable)
Version     : 1.1                               Vendor: Red Hat, Inc.
Release     : 0.20010717.3                  Build Date: Tue 24 Jul 2001 01:54:14
PM CEST
Install date: Fri 19 Oct 2001 08:43:55 PM CEST      Build Host:
boris.devel.redhat.com
Group       : System Environment/Libraries   Source RPM:
foomatic-1.1-0.20010717.3.src.rpm
Size        : 46777987                         License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.linuxprinting.org
Summary     : Foomatic printer database


Comment 3 Tim Waugh 2002-05-07 22:05:17 UTC
But 'rpm -qlv foomatic | grep compiled$' will show that it was installed as a 
symlink.

Comment 4 Need Real Name 2002-05-07 22:11:31 UTC
no, it doesn't:

# rpm -qlv foomatic | grep compiled | wc -l
   1301

# rpm -qlv foomatic | grep compiled | head -n 15
-rwxr-xr-x    1 root    root             2564 Jul 24  2001
/usr/sbin/foomatic-compiledb
drwxr-xr-x    2 root    root                0 Jul 24  2001
/usr/share/foomatic/db/compiled
drwxr-xr-x    2 root    root                0 Jul 24  2001
/usr/share/foomatic/db/compiled/combo
drwxr-xr-x    2 root    root                0 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ630
-rw-rw-r--    1 root    root             8087 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ630/HP-DeskJet_630C.xml
-rw-r--r--    1 root    root             8094 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ630/HP-DeskJet_632C.xml
drwxr-xr-x    2 root    root                0 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ6xx
-rw-rw-r--    1 root    root             6533 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ6xx/60928.xml
-rw-r--r--    1 root    root             6066 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ6xx/624114.xml
-rw-rw-r--    1 root    root             6443 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ6xx/64192.xml
-rw-rw-r--    1 root    root             6273 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ6xx/64576.xml
-rw-r--r--    1 root    root             6840 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ6xx/68512.xml
-rw-rw-r--    1 root    root             6324 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ6xx/75520.xml
drwxr-xr-x    2 root    root                0 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ6xxP
-rw-r--r--    1 root    root             7678 Jul 24  2001
/usr/share/foomatic/db/compiled/combo/DJ6xxP/174249.xml


Comment 5 Need Real Name 2002-05-07 22:14:25 UTC
mh, I forgot the '$':

# rpm -qlv foomatic | grep compiled$
drwxr-xr-x    2 root    root                0 Jul 24  2001
/usr/share/foomatic/db/compiled
drwxr-xr-x    2 root    root                0 Jul 24  2001
/usr/share/foomatic/db/pcache/compiled

:)


Comment 6 Tim Waugh 2002-05-07 22:26:32 UTC
Where on earth did you get 1.1-0.20010717.3 from?  A beta?

Comment 7 Need Real Name 2002-05-07 22:35:38 UTC
Mh, first I thought it was 7.2, but when I think about
it it was 7.2beta (roswell)...

Sorry :)




Note You need to log in before you can comment on or make changes to this bug.